package com.kuyuntech.cofarcooking.device.sdk.protocol.core.cmd;


import com.kuyuntech.cofarcooking.device.sdk.constant.core.CmdTypes;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseBody;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseDecoder;
import com.kuyuntech.cofarcooking.device.sdk.util.core.Converter;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class CfgBeepCmd extends BaseBody {

    private BaseBody baseBody;

    //指令类型
    private String cmd;

    //鸣响类型
    private String type;

    //鸣响次数
    private String count;


    public CfgBeepCmd(String data) {
        this(new BaseDecoder(data));
    }

    public CfgBeepCmd(BaseDecoder baseDecoder) {
        this.baseBody = baseDecoder.getBaseBody();
        byte[] content = this.baseBody.getContent();
        int i = 0;
        this.cmd = Converter.bytesToHexString(new byte[]{content[i++], content[i++]}, 2);
        this.type = Converter.bytesToHexString(new byte[]{content[i++]}, 1);
        this.count = Converter.bytesToHexString(new byte[]{content[i]}, 1);
    }

    public CfgBeepCmd(byte type, byte count) {
        super(CmdTypes.CFG_BEEP  + Converter.bytesToHexString(new byte[]{type,count}, 2));
    }


}
