package com.kuyuntech.cofarcooking.device.sdk.protocol.core.resp;


import com.kuyuntech.cofarcooking.device.sdk.constant.core.CmdTypes;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseBody;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseDecoder;
import com.kuyuntech.cofarcooking.device.sdk.util.core.Converter;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class CfgTimeResp extends BaseBody {

    private BaseBody baseBody;

    //指令类型
    private String cmd;

    //状态
    private String status;

    //时间设置，单位秒
    private String time;





    public CfgTimeResp(String data){
        this(new BaseDecoder(data));
    }

    public CfgTimeResp(BaseDecoder baseDecoder) {
        this.baseBody = baseDecoder.getBaseBody();
        byte[] content = this.baseBody.getContent();
        int i = 0;
        this.cmd = Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
        this.status =  Converter.bytesToHexString(new byte[]{content[i++]},1);
        this.time =  Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
    }

    public CfgTimeResp(short time) {
        super(CmdTypes.CFG_TIME +Converter.bytesToHexString(Converter.shortToByteArray(time), 2) );
    }

}
